﻿using System;

using Adapter.Buildings;

namespace Adapter.Commands
{
    public class PowerUpBuilding : ICommand
    {
        private IBuilding _building;

        public PowerUpBuilding(IBuilding building)
        {
            _building = building;
        }

        public void Execute()
        {
            Console.WriteLine("Building got powered up!");
            _building.ConsumesPower = true;
        }

        public void Undo()
        {
            Console.WriteLine("Building got powered down!");
            _building.ConsumesPower = false;
        }
    }
}
