﻿using System;

namespace Adapter.Hardware
{
    public class GraphicsCard
    {
        // Nobody can instanciate GraphicsCard using new
        private GraphicsCard() { }

        public static GraphicsCard Instance
        {
            get { return Nested.Singleton; }
        }

        private sealed class Nested
        {
            private static readonly GraphicsCard _instance = new GraphicsCard();

            internal static GraphicsCard Singleton
            {
                get { return _instance; }
            }
        }

        public string Hello() { return "Hello!"; }
    }
}
